---
type: api
title: Get monitors
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/kibana/v9/operation/operation-get-synthetic-monitors
resource: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/kibana/v9/operation/operation-get-synthetic-monitors
products:
  - Kibana
---

# Get monitors

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/synthetics/monitors`
- `GET` `/s/{space_id}/api/synthetics/monitors`

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get a list of monitors.
You must have `read` privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.

## Authentication

- Api key: `Authorization: <value>`
  These APIs use key-based authentication. You must create an API key and use the encoded value in the request header. For example: `Authorization: ApiKey base64AccessApiKey`
- Basic: `Authorization: Basic <credentials>`

## Query string parameters

- `filter` (string) — optional
  Additional filtering criteria.
- `locations` (union string | string[]) — optional
  The locations to filter by.
- `monitorTypes` (union enum | enum[]) — optional
  The monitor types to filter.
  Values: `browser`, `http`, `icmp`, `tcp`
- `page` (integer) — optional
  The page number for paginated results.
- `per_page` (integer) — optional
  The number of items to return per page.
- `projects` (union string | string[]) — optional
  The projects to filter by.
- `query` (string) — optional
  A free-text query string.
- `schedules` (union string[] | string) — optional
  The schedules to filter by.
- `sortField` (enum) — optional
  The field to sort the results by.
  Values: `name`, `createdAt`, `updatedAt`, `status`
- `sortOrder` (enum) — optional
  The sort order.
  Values: `asc`, `desc`
- `status` (union string[] | string) — optional
  The status to filter by.
- `tags` (union string | string[]) — optional
  Tags to filter monitors.
- `useLogicalAndFor` (union enum | enum[]) — optional
  Specifies whether to apply logical AND filtering for specific fields. Accepts either a string with values "tags" or "locations" or an array containing both.
  Values: `tags`, `locations`

## Response

A successful response.

`application/json`

Type: `object`

## Code examples

#### Console

```console
GET kbn:/api/synthetics/monitors
```

#### curl

```curl
curl -X GET "${KIBANA_URL}/api/synthetics/monitors" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### Get synthetic monitors response example1

A successful response from `GET /api/synthetics/monitors?tags=prod&monitorTypes=http&locations=us-east-1&projects=project1&status=up`.

```json
{
    "page": 1,
    "total": 24,
    "monitors": [
        {
            "type": "icmp",
            "enabled": false,
            "alert": {
                "status": {
                    "enabled": true
                },
                "tls": {
                    "enabled": true
                }
            },
            "schedule": {
                "number": "3",
                "unit": "m"
            },
            "config_id": "e59142e5-1fe3-4aae-b0b0-19d6345e65a1",
            "timeout": "16",
            "name": "8.8.8.8:80",
            "locations": [
                {
                    "id": "us_central",
                    "label": "North America - US Central",
                    "geo": {
                        "lat": 41.25,
                        "lon": -95.86
                    },
                    "isServiceManaged": true
                }
            ],
            "namespace": "default",
            "origin": "ui",
            "id": "e59142e5-1fe3-4aae-b0b0-19d6345e65a1",
            "max_attempts": 2,
            "wait": "7",
            "revision": 3,
            "mode": "all",
            "ipv4": true,
            "ipv6": true,
            "created_at": "2023-11-07T09:57:04.152Z",
            "updated_at": "2023-12-04T19:19:34.039Z",
            "host": "8.8.8.8:80"
        }
    ],
    "absoluteTotal": 24,
    "perPage": 10,
}
```

